#!/bin/sh

CC=gcc
# -fopenmp
X86FLAGS=" -fargument-noalias -funroll-loops -fno-builtin -fopenmp"

# Compile timing.c
$CC -O3 -c timing.c


# Compile for SKL
$CC $X86FLAGS -march=skylake-avx512 -Ofast -c copy.c
$CC $X86FLAGS -march=skylake-avx512 -Ofast -S copy.c -o copy.s.skl.s
$CC $X86FLAGS copy.o timing.o -lm -o a.copy.skl

# Compile for HSW
$CC $X86FLAGS -march=haswell -O3 -c copy.c
$CC $X86FLAGS -march=haswell -O3 -S copy.c -o copy.s.hsw.s
$CC $X86FLAGS copy.o timing.o -lm -o a.copy.hsw

# Compile for IVB
$CC $X86FLAGS -march=ivybridge -O3 -c copy.c
$CC $X86FLAGS -march=ivybridge -O3 -S copy.c -o copy.s.ivb.s
$CC $X86FLAGS copy.o timing.o -lm -o a.copy.ivb
