#!/bin/bash

# Check parameter
while test $# -gt 0; do
    case "$1" in
        -h|--help)
            echo "Usage: ./create_plotdata_lbmpy_single_core.sh ARCH"
            echo -e "\n  ARCH             Target architecture. One of [IVB, HSW, SKL].\n"
            exit 0
            ;;
        *)
            ARCH=`echo $1 | awk '{print tolower($0)}'`
            shift
            ;;
    esac
done

if [ -z $ARCH ]; then
    echo "Specify a target architecture. See help for more information."
    exit -1
fi

OUTPUT="../results_lbmpy_${ARCH}.csv"

################################
# Start execution

# Run benchmarks
./lbmpy_bench.py --all -o $OUTPUT $ARCH
